Skip to main content

Get List of Knowledge Base Categories

GET /knowledge_base/categories/


URL Example

https://system_domain/api/v2/knowledge_base/categories/?page=1&public=true&parent_list=1,2,3


Query Parameters

ParameterTypeRequiredDescription
pagenumberNoPage number (30 categories are displayed per page)
publicstringNoSearch for public categories: true - include; false - exclude
parent_liststringNoSearch categories by parent category IDs, comma-separated
from_date_createdstringNoCreation date "from". Categories created since the specified moment (yyyy-mm-dd hh:mm:ss)
to_date_createdstringNoCreation date "to". Categories created before the specified moment (yyyy-mm-dd hh:mm:ss)
from_date_updatedstringNoUpdate date "from". Categories with changes since the specified moment (yyyy-mm-dd hh:mm:ss)
to_date_updatedstringNoUpdate date "to". Categories with changes before the specified moment (yyyy-mm-dd hh:mm:ss)
order_bystringNoCategory sorting, comma-separated. Available parameters: date_created, date_updated, position. Sort order: {asc} - ascending, {desc} - descending; Default value - position{asc}

Response Example
{
"data": {
"1": {
"id": 1,
"parent_id": 0,
"position": 23,
"date_created": "2017-03-24 15:47:01",
"date_updated": "2019-03-05 20:19:40",
"access": "staff",
"access_by_groups": [
1,
3,
2
],
"title": {
"en": "First category"
}
},
"-1": {
"id": -1,
"parent_id": 0,
"position": 1,
"date_created": "2025-12-31 23:00:00",
"date_updated": "2025-01-30 15:54:21",
"access": "public",
"access_by_groups": [
1,
3,
2
],
"title": {
"en": "Templates"
}
},
"-2": {
"id": -2,
"parent_id": 0,
"position": 3,
"date_created": "2025-01-01 00:00:00",
"date_updated": "2025-03-16 01:06:45",
"access": "user",
"access_by_groups": [
1,
3,
2
],
"title": {
"en": "News"
}
}
},
"pagination": {
"total": 4,
"per_page": 30,
"current_page": 1,
"total_pages": 1
}
}